#import "Jay.h"

@interface gTxtEditTextView : UITextView
{

}

- (id)initWithFrame:(CGRect)rect;

@end


@interface gTxtEditView : UIView
{
	UINavigationBar* topBar;
	gTxtEditTextView* fileView;
	UINavigationBar* bottomBar;
	NSMutableString* currentFile;
	UINavigationItem* topTitle;
	UINavigationItem* bottomTitle;
	bool saved;
	bool isEditing;
	UIAlertSheet* saveSheet;
	UIAlertSheet* loadSheet;
    NSMutableString *_path;
	NSStringEncoding _currentEncoding;

	
}

- (id)initWithFrame:(CGRect)rect;
- (void)loadFile:(NSString*)file;
- (void)reset;
- (void)saveToFile:(NSString*)file;
- (void)save;
- (void)dealloc;
- (void)navigationBar:(UINavigationBar*)bar buttonClicked:(int)button;
- (NSStringEncoding)inspectEncoding: (NSString *)path;

@end